Skip to main content

Process Refund

POST 

/ProcessRefund

This endpoint processes a refund transaction against the Stripe API.

  • OwnedProductId - is the existing subscription product identifier owned by this Tenant
  • PartialRefund - indicates whether a partial refund amount should be calculated (true) or if the full amount shall be refunded (false). When partial refund is requested and the related, owned product is time‐based, the fractional portion of time used from the effective date through the current date is used to reduce the amount of the total amount paid and therefore refunded.
  • RefundReason - is optional, but if specified must be one of Duplicate, Fraudulent or RequestedByCustomer.
  • NotifyTenantUsers - will execute the Get Tenant webhook and notify related TenantUsers (defaults to false).

Request

Responses

OK